# RSL_sort_...

### Synopsis

#include "rsl.h"
Radar *RSL_sort_radar(Radar *r);
Volume *RSL_sort_sweeps_in_volume(Volume *v);
Volume *RSL_sort_volume(Volume *v);
Sweep *RSL_sort_rays_by_time(Sweep *s);
Sweep *RSL_sort_rays_in_sweep(Sweep *s);
Volume *RSL_sort_rays_in_volume(Volume *v);

###

Description

RSL_sort_radar calls RSL_sort_volume for the number of volumes.

RSL_sort_volume calls RSL_sort_sweeps_in_volume, then calls RSL_sort_rays_in_volume. This yields a completely sorted, by elevation angle and by azimuth angle, volume.

RSL_sort_sweeps_in_volume only orders the sweeps by elevation angle. It does not sort the rays by azimuth angle.

RSL_sort_rays_in_sweep orders the rays by azimuth angle: 0 through 360 degrees.
RSL_sort_rays_in_volume orders the rays in each sweep by calling sort_rays_in_sweep for the number of sweeps. RSL_sort_rays_in_sweep sorts the rays by azimuth angle placing the the smallest azimuth angle first. The input volume or sweep structure is modified and a pointer to the newly organized structure is returned.

RSL_sort_rays_by_time orders the rays in a sweep by time.

### Return value

Upon successful completion, a pointer to the appropriate structure is returned. Otherwise, a NULL pointer is returned and errno is set.

Author: Dennis Flanigan Jr.